package com.mortals.xhx.module.company.model;

import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;

import cn.hutool.core.date.DateUtil;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.company.model.vo.CompanyLabelsVo;
import lombok.Data;

/**
 * 公司标注实体对象
 *
 * @author zxfei
 * @date 2023-09-19
 */
@Data
public class CompanyLabelsEntity extends CompanyLabelsVo {
    private static final long serialVersionUID = 1L;

    /**
     * 标签Id
     */
    @Excel(name = "标签Id")
    private Long labelId;
    /**
     * 公司名称
     */
    private String labelName;
    /**
     * 公司Id
     */
    @Excel(name = "公司Id")
    private Long companyId;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 备注
     */
    private String remark;

    @Override
    public int hashCode() {
        return this.getLabelId().hashCode();
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CompanyLabelsEntity) {
            CompanyLabelsEntity tmp = (CompanyLabelsEntity) obj;
            if (this.getLabelId() == tmp.getLabelId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue() {
        this.labelId = 0L;
        this.labelName = "";
        this.companyId = 0L;
        this.companyName = "";
        this.remark = "";
    }
}